# Generated by Django 2.1.1 on 2018-09-08 23:49

import colorful.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
    ]

    operations = [
        migrations.CreateModel(
            name='BootstrapTheme',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Short name used to identify this theme', max_length=200)),
                ('primary', colorful.fields.RGBColorField(default='#007bff')),
                ('secondary', colorful.fields.RGBColorField(default='#6c757d')),
                ('success', colorful.fields.RGBColorField(default='#28a745')),
                ('info', colorful.fields.RGBColorField(default='#17a2b8')),
                ('warning', colorful.fields.RGBColorField(default='#ffc107')),
                ('danger', colorful.fields.RGBColorField(default='#dc3545')),
                ('white', colorful.fields.RGBColorField(default='#ffffff')),
                ('black', colorful.fields.RGBColorField(default='#000000')),
                ('light', colorful.fields.RGBColorField(default='#f8f9fa')),
                ('dark', colorful.fields.RGBColorField(default='#343a40')),
                ('component_active_color', colorful.fields.RGBColorField(default='#ffffff')),
                ('component_active_bg', colorful.fields.RGBColorField(default='#007bff', verbose_name='component active background')),
                ('enable_rounded', models.BooleanField(default=True)),
                ('enable_shadows', models.BooleanField(default=False)),
                ('enable_gradients', models.BooleanField(default=False)),
                ('font_family_base', models.CharField(default='-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji"', max_length=250)),
                ('font_size_base', models.CharField(default='1rem', max_length=100)),
                ('line_height_base', models.CharField(default='1.5', max_length=100)),
                ('body_bg', colorful.fields.RGBColorField(default='#ffffff', verbose_name='body background')),
                ('body_color', colorful.fields.RGBColorField(default='#212529')),
                ('headings_font_family', models.CharField(default='inherit', max_length=250)),
                ('headings_font_weight', models.CharField(default='500', max_length=250)),
                ('headings_line_height', models.CharField(default='1.2', max_length=250)),
                ('css_above_the_fold', models.TextField(blank=True, default='')),
                ('css_below_the_fold', models.TextField(blank=True, default='')),
            ],
            options={
                'verbose_name': 'Bootstrap theme',
            },
        ),
        migrations.CreateModel(
            name='SiteBootstrapTheme',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bootstrap_theme', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='bootstrap_customizer.BootstrapTheme')),
                ('site', models.OneToOneField(null=True, on_delete=django.db.models.deletion.SET_NULL, to='sites.Site')),
            ],
            options={
                'verbose_name': 'site Bootstrap theme',
            },
        ),
    ]
